version: "3"
services:
  home-admin:
    # 指定容器名称
    container_name: home-admin-server
    build:
      context:  ./                  # 指定设定上下文根目录，然后以该目录为准寻找DocAAA@kerfile
      dockerfile: admin-dev.dockerfile  #DockerFile 真正所在位置
    # 重启机制
    network_mode: "host"
    restart: always
    image: home-admin-server:1.1.10
    volumes:
      # 挂载日志 -v A:B ,A指宿主机位置，B指容器位置
      - /opt/docker/service/log/home-admin-server:/logback
      # 指定容器时间为宿主机时间
      - /etc/localtime:/etc/localtime
    # 访问端口cd
#    ports:
#      - "8082:8082"
#      - "6379:6379"
    #启动容器后执行的命令
    entrypoint: java -server -Xms512m -Xmx20484m -jar -Duser.timezone=GMT+8 -Dspring.profiles.active=dev home-admin.jar